<?php
//include_once ("db/dbImagem.class.php");
include_once ("base/elemento.class.php");
include_once ("base/categoria.class.php");


class lojas extends elemento{
	
	
	function lojas() {}
    	
	function editar($id="") {
        
        $db= new dbElemento;
        $dados=$db->getListaCategorias("lojasCategoria", "*");

		foreach ($dados as $l) $dadosSel[$l['id']]=$l['categoria'];

        $linha = @$db->getLinha($this->tipo, $id);
		//$idCat=$linha['idCat']?$linha['idCat']:$this->idCat;
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars("Guardar", 0, $this->popup);
		$f->titulo("Lojas / ",1);

		$f->campoSeleccao("Area", "idArea", $dadosSel, $linha['idArea']);
		$f->campoTexto("Título","titulo" );
		$f->campoAreaTexto("Loja","texto" );
		//$f->campoAreaTexto("Link","link" );
		$f->mostra();
    }


	function listar() {
        $campos=array("Nº"=>"id","Titulo"=>"titulo");
        
        $db= new dbElemento;
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "titulo", $this->req['ordem'] ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);

        
        $f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao_l("Novo");

		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->filtro($this->tipo, $this->idCat, "titulo");
		$toolbar->categoria("lojas", "categoria", $this->req['idCat'], true);
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);

		$toolbar->fim();

		$f->titulo("Lojas / ");
		$f->cabecaSimples();
		
        $f->tabela(false, false);
		$f->mostra();
    }


}
?>
